export const state = {
	showWxLogin: false, //控制是否打开登录弹窗
	userInfo: {
		headLogo: uni.getStorageSync('headLogo') || "",
	},
	instData: {
		spdId: "",
		spdName: ""
	}
};
export const mutations = {
	setShowWxLogin(state, data) {
		state.showWxLogin = data
	},
	setInst(state, data) {
		if (data) {
			state.instData = data;
			uni.setStorageSync('inst', data);
		} else {
			let detInt = uni.getStorageSync('inst');
			state.instData = detInt;
		}
	},
	setUserInfo(state, data) {
		state.userInfo = data;
		uni.setStorageSync('token', data.token);
		uni.setStorageSync('wechatId', data.wechatId);
		uni.setStorageSync('headLogo', data.headLogo);
		uni.setStorageSync('nameList', data.nameList);
	}
}
export const actions = {

};